from django.http.request import HttpRequest
from django.http.response import HttpResponse
from django.shortcuts import render

from lists.models import Item

# Create your views here
def home_page(request):
    if request.method == 'POST':
        new_item_text = request.POST['item_text'] # use new_item_text to either hold POST contents or empty string
        Item.objects.create(text=new_item_text) # .object.create is shortcut for creating a new Item, without needing to call .save()
    else:
        new_item_text = ''

    return render(request=request, template_name='home.html', context={
        'new_item_text': request.POST.get('item_text', ''),
    })

